#ifndef Mfm_h
#define Mfm_h

#define MfmError_SUCCESS 0	/* No Error */
#define MfmError_ERROR (-1)	/* Unspecified generic error */
#define MfmError_MEMORY (-2)	/* Memory allocation error */
#define MfmError_LONGNAME (-4)	/* Message name/path is too long */

char *MfmGetContentType(char *);
int MfmPutContentType(char *, char *);
int MfmSetContentType(char *, char *);

typedef struct MfmDirectoryRec *MfmDirectory;

typedef int (*MfmFilter)(char *, void *);

MfmDirectory MfmOpenDirectory(char *, MfmFilter, void *);
char *MfmNextFile(MfmDirectory);
void MfmCloseDirectory(MfmDirectory);

#endif
